### Method

# GLib MainContext find_source_by_funcs_user_data

#### Declaration [src]

    GSource*
    g_main_context_find_source_by_funcs_user_data (
      GMainContext* context,
      GSourceFuncs* funcs,
      gpointer user_data
    )

#### Description [src]

Finds a source with the given source functions and user data.

If multiple sources exist with the same source function and user data, the first one found will be returned.

#### Parameters

`context`

  Type: `GMainContext`

  A main context (if `NULL`, the global-default main context will be used).

  The argument can be `NULL`.

`funcs`

  Type: `GSourceFuncs`

  The `source_funcs` passed to `g_source_new()`.

  The data is owned by the caller of the method.

`user_data`

  Type: `gpointer`

  The user data from the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GSource`

The source, if one was found, otherwise `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.